import request from '@/utils/request'

// 查询故障类型维护列表
export function listFaultType(query) {
	return request({
		url: '/device/faultType/list',
		method: 'get',
		params: query
	});
}

// 查询故障类型维护详细
export function getFaultType(faultId) {
	return request({
		url: '/device/faultType/' + faultId,
		method: 'get'
		});
}

// 新增故障类型维护
export function addFaultType(data) {
	return request({
		url: '/device/faultType',
		method: 'post',
		data: data
	});
}

// 修改故障类型维护
export function updateFaultType(data) {
	return request({
		url: '/device/faultType',
		method: 'put',
		data: data
	});
}

// 删除故障类型维护
export function delFaultType(faultId) {
	return request({
		url: '/device/faultType/' + faultId,
		method: 'delete'
	});
}
